Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Persistence
Created: 2010-10-21 Assigned To: Karsten Dambekalns
Updated: 2010-10-25 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Make option handling in persistence backends more flexible
Description

I would not skip NULL values in all cases, but only of no setter exists. That way you can set existing settings to NULL. For
non-existant setters a warning could be logged (at least in dev context), so you have a chance to notice errors.

Associated revisions
Revision a39924d6 - 2010-10-25 17:32 - Karsten Dambekalns

[+FEATURE] FLOW3 (Persistence): More flexible handling of backend options

Now unknown backend options are ignored if the value is NULL. This way
you can still set valid settings to NULL. For non-existent setters a
warning is logged (debug level).

Change-Id: If84583e806058a2c9c3482f26c1dd418b91601a8
Resolves: #10360

History
#1 - 2010-10-21 09:04 - Karsten Dambekalns
- Status changed from Needs Feedback to Under Review

http://review.typo3.org/183

#2 - 2010-10-25 17:45 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"a39924d6a06f93f7f5a02c5bcfcb31924ef9fdda".
